TANPI(3)

NAME
tanpi, tanpif, tanpil - half–cycle tangent functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
tanpi(double x);
float
tanpif(float x);
long double
tanpil(long double x);

DESCRIPTION
The tanpi(), tanpif(), and tanpil() functions compute the tangent of π × x and measure angles in half-cycles.

RETURN VALUES
The tanpi(), tanpif(), and tanpil() functions returns tan(π × x). If x 2^(p - 1) where p is the floating–point precision of x, then the returned value is 0 and it has no significance.

SPECIAL VALUES

tanpi(0)
    returns 0.

tanpi(n)
    returns 0 for positive integers n.

tanpi(n/2)
    returns for n > 0 and raises an FE_INVALID exception.

tanpi(∞)
    return an and raises an FE_INVALID exception.

tanpi()
    return an and raises an FE_INVALID exception.

SEE ALSO
cos(3), cospi(3), fenv(3), math(3), sin(3), sinpi(3), tan(3)

AUTHORS
The half–cycle trignometric functions were written by Steven G. Kargl <kargl@FreeBSD.org>.

STANDARDS
These functions conform to ieee754-2008, to ISO/IEC TS 18661-4, "Information technology — Programming languages, their environments, and system software interfaces — Floating–point extensions for C" — Part 4: Supplementary functions, and to isoC-2023.